QListBoxText(3qt)

NAME
QListBoxText - List box items that display text

SYNOPSIS
#include <qlistbox.h>

Inherits QListBoxItem.

  Public Members
QListBoxText ( QListBox * listbox, const QString & text = QString::null )
QListBoxText ( const QString & text = QString::null )
QListBoxText ( QListBox * listbox, const QString & text, QListBoxItem * after )
~QListBoxText ()
virtual int height ( const QListBox * lb ) const
virtual int width ( const QListBox * lb ) const

  Protected Members
virtual void paint ( QPainter * painter )

DESCRIPTION
The QListBoxText class provides list box items that display text.

The text is drawn in the widget's current font. If you need several different fonts, you must implement your own subclass of QListBoxItem.

See also QListBox, QListBoxItem, and Advanced Widgets.

MEMBER FUNCTION DOCUMENTATION

QListBoxText::QListBoxText ( QListBox * listbox, const QString & text = QString::null )
Constructs a list box item in list box listbox showing the text text.

QListBoxText::QListBoxText ( const QString & text = QString::null )
Constructs a list box item showing the text text.

QListBoxText::QListBoxText ( QListBox * listbox, const QString & text, QListBoxItem * after )
Constructs a list box item in list box listbox showing the text text. The item is inserted after the item after, or at the beginning if after is 0.

QListBoxText::~QListBoxText ()
Destroys the item.

int QListBoxText::height ( const QListBox * lb ) const [virtual]
Returns the height of a line of text in list box lb.

See also paint() and width().

Reimplemented from QListBoxItem.

void QListBoxText::paint ( QPainter * painter ) [virtual protected]
Draws the text using painter.

Reimplemented from QListBoxItem.

int QListBoxText::width ( const QListBox * lb ) const [virtual]
Returns the width of this line in list box lb.

See also paint() and height().

Reimplemented from QListBoxItem.

SEE ALSO
http://doc.trolltech.com/qlistboxtext.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qlistboxtext.3) and the Qt version (3.3.8).